Skip to main content
GET
/
api
/
payments
/
razorpay
/
{environment}
/
catalog
List Razorpay Payment Catalog
curl --request GET \
  --url https://api.example.com/api/payments/razorpay/{environment}/catalog \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "itemId": "item_123",
      "name": "Pro monthly",
      "description": "<string>",
      "active": true,
      "amount": 290000,
      "unitAmount": 290000,
      "currency": "inr",
      "type": "invoice",
      "providerCreatedAt": "2023-11-07T05:31:56Z",
      "syncedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "plans": [
    {
      "planId": "plan_123",
      "itemId": "item_123",
      "period": "monthly",
      "interval": 1,
      "amount": 290000,
      "unitAmount": 290000,
      "currency": "inr",
      "active": true,
      "notes": {},
      "providerCreatedAt": "2023-11-07T05:31:56Z",
      "syncedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environment
enum<string>
required

Payment provider environment.

Available options:
test,
live

Response

Synced Razorpay items and plans

items
object[]
required
plans
object[]
required